Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface SimpleScheduleDocument.SimpleSchedule

All Superinterfaces:
  Schedule, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  SimpleScheduleDocumentImpl.SimpleScheduleImpl

Enclosing interface:
  SimpleScheduleDocument

    public static interface SimpleScheduleDocument.SimpleSchedule

extends Schedule

An XML simple-schedule(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `SimpleScheduleDocument.SimpleSchedule.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`int` | `getExecCount()` Gets the "execCount" attribute
`long` | `getFrequency()` Gets the "frequency" attribute
`FrequencyUnit.Enum` | `getFrequencyUnits()` Gets the "frequencyUnits" attribute
`boolean` | `isSetExecCount()` True if has "execCount" attribute
`boolean` | `isSetFrequency()` True if has "frequency" attribute
`boolean` | `isSetFrequencyUnits()` True if has "frequencyUnits" attribute
`void` | `setExecCount(int execCount)` Sets the "execCount" attribute
`void` | `setFrequency(long frequency)` Sets the "frequency" attribute
`void` | `setFrequencyUnits(FrequencyUnit.Enum frequencyUnits)` Sets the "frequencyUnits" attribute
`void` | `unsetExecCount()` Unsets the "execCount" attribute
`void` | `unsetFrequency()` Unsets the "frequency" attribute
`void` | `unsetFrequencyUnits()` Unsets the "frequencyUnits" attribute
`org.apache.xmlbeans.XmlInt` | `xgetExecCount()` Gets (as xml) the "execCount" attribute
`org.apache.xmlbeans.XmlLong` | `xgetFrequency()` Gets (as xml) the "frequency" attribute
`FrequencyUnit` | `xgetFrequencyUnits()` Gets (as xml) the "frequencyUnits" attribute
`void` | `xsetExecCount(org.apache.xmlbeans.XmlInt execCount)` Sets (as xml) the "execCount" attribute
`void` | `xsetFrequency(org.apache.xmlbeans.XmlLong frequency)` Sets (as xml) the "frequency" attribute
`void` | `xsetFrequencyUnits(FrequencyUnit frequencyUnits)` Sets (as xml) the "frequencyUnits" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Schedule
`addNewProperty, getEndDate, getPropertyArray, getPropertyArray, getPropertyList, getScheduleid, getStartDate, insertNewProperty, isSetEndDate, isSetStartDate, removeProperty, setEndDate, setPropertyArray, setPropertyArray, setScheduleid, setStartDate, sizeOfPropertyArray, unsetEndDate, unsetStartDate, xgetEndDate, xgetScheduleid, xgetStartDate, xsetEndDate, xsetScheduleid, xsetStartDate`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getFrequency

    long getFrequency()

  Gets the "frequency" attribute

### xgetFrequency

    org.apache.xmlbeans.XmlLong xgetFrequency()

  Gets (as xml) the "frequency" attribute

### isSetFrequency

    boolean isSetFrequency()

  True if has "frequency" attribute

### setFrequency

    void setFrequency(long frequency)

  Sets the "frequency" attribute

### xsetFrequency

    void xsetFrequency(org.apache.xmlbeans.XmlLong frequency)

  Sets (as xml) the "frequency" attribute

### unsetFrequency

    void unsetFrequency()

  Unsets the "frequency" attribute

### getFrequencyUnits

    FrequencyUnit.Enum getFrequencyUnits()

  Gets the "frequencyUnits" attribute

### xgetFrequencyUnits

    FrequencyUnit xgetFrequencyUnits()

  Gets (as xml) the "frequencyUnits" attribute

### isSetFrequencyUnits

    boolean isSetFrequencyUnits()

  True if has "frequencyUnits" attribute

### setFrequencyUnits

    void setFrequencyUnits(FrequencyUnit.Enum frequencyUnits)

  Sets the "frequencyUnits" attribute

### xsetFrequencyUnits

    void xsetFrequencyUnits(FrequencyUnit frequencyUnits)

  Sets (as xml) the "frequencyUnits" attribute

### unsetFrequencyUnits

    void unsetFrequencyUnits()

  Unsets the "frequencyUnits" attribute

### getExecCount

    int getExecCount()

  Gets the "execCount" attribute

### xgetExecCount

    org.apache.xmlbeans.XmlInt xgetExecCount()

  Gets (as xml) the "execCount" attribute

### isSetExecCount

    boolean isSetExecCount()

  True if has "execCount" attribute

### setExecCount

    void setExecCount(int execCount)

  Sets the "execCount" attribute

### xsetExecCount

    void xsetExecCount(org.apache.xmlbeans.XmlInt execCount)

  Sets (as xml) the "execCount" attribute

### unsetExecCount

    void unsetExecCount()

  Unsets the "execCount" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD